//
//  PKHTTPRequest.h
//  PKWebSocket
//
//  Created by Pavel Kunc on 16/04/2012.
//  Copyright (c) 2012 Pavel Kunc. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface PKHTTPRequest : NSObject

- (id)initWithMethod:(NSString *)method URL:(NSURL *)URL;

- (void)addValue:(id)value forHTTPHeaderField:(NSString *)field;
- (NSString *)valueForHTTPHeaderField:(NSString *)field;

- (void)setBody:(NSData *)body;
- (NSData *)body;

- (NSData *)asData;
- (NSString *)asString;

@end
