//
//  PKWebSocketURL.h
//  PKWebSocket
//
//  Created by Pavel Kunc on 18/04/2012.
//  Copyright (c) 2012 Pavel Kunc. All rights reserved.
//
//  Parsing WebSocket URL according to:
//  http://dev.w3.org/html5/websockets/#parsing-websocket-urls

#import <Foundation/Foundation.h>

extern NSString * const PKWebSocketURLException;
extern NSString * const PKWebSocketURLScheme;
extern NSString * const PKWebSocketURLSecureScheme;
extern const NSUInteger PKWebSocketURLDefaultPort;
extern const NSUInteger PKWebSocketURLDefaultTLSPort;

@interface PKWebSocketURL : NSURL

- (BOOL)isSecure;
- (NSString *)hostForHTTPHeader;

@end
