//
//  PKWebSocketFrame.m
//  PKWebSocket
//
//  Created by Pavel Kunc on 20/04/2012.
//  Copyright (c) 2012 Pavel Kunc. All rights reserved.
//

#import "PKWebSocketFrameParser.h"

@implementation PKWebSocketFrameParser

@synthesize delegate = _delegate;
@synthesize closingPayload = _closingPayload;

- (void)processData:(NSData *)data {
    NSAssert(nil, @"Must be implemented in the sub-class!");
}

- (NSData *)textFramePayloadWithString:(NSString *)string {
    NSAssert(nil, @"Must be implemented in the sub-class!");
    return nil;
}

- (NSData *)binaryFramePayloadWithData:(NSData *)aData {
    NSAssert(nil, @"Must be implemented in the sub-class!");
    return nil;
}

@end
