//
//  PKHTTPResponse.h
//  PKWebSocket
//
//  Created by Pavel Kunc on 16/04/2012.
//  Copyright (c) 2012 Pavel Kunc. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface PKHTTPResponse : NSObject

@property (nonatomic, assign, readonly) NSUInteger statusCode;
@property (nonatomic, strong, readonly) NSData *body;

- (id)initWithData:(NSData *)aData error:(NSError **)outError;
- (NSString *)valueForHTTPHeaderField:(NSString *)field;

@end

