//
//  PKWebSocketMessage.h
//  PKWebSocket
//
//  Created by Pavel Kunc on 22/04/2012.
//  Copyright (c) 2012 Pavel Kunc. All rights reserved.
//

#import <Foundation/Foundation.h>

typedef enum {
    PKWebSocketMessageTypeText = 1,
    PKWebSocketMessageTypeData
} PKWebSocketMessageType;

@interface PKWebSocketMessage : NSObject

@property (nonatomic, strong, readwrite) NSData                 *data;
@property (nonatomic, strong, readwrite) NSString               *string;
@property (nonatomic, assign, readwrite) PKWebSocketMessageType  type;

+ (id)messageWithData:(NSData *)data;
+ (id)messageWithString:(NSString *)string;

- (BOOL)isBinary;

@end

